- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Damage Extension Functions
Ecore_X - X11 Integration

Functions related to the X Damage Extension. More...

## Functions
Ecore_X_Damage | ecore_x_damage_new (Ecore_X_Drawable drawable, Ecore_X_Damage_Report_Level level)
| Create a damage object. More...
void | ecore_x_damage_free (Ecore_X_Damage damage)
| Destroy a damage object. More...
void | ecore_x_damage_subtract (Ecore_X_Damage damage, Ecore_X_Region repair, Ecore_X_Region parts)
| Synchronously modifies the region. More...

## Detailed Description

Functions related to the X Damage Extension.

## Function Documentation

Ecore_X_Damage ecore_x_damage_new | ( | Ecore_X_Drawable | drawable,
|  | Ecore_X_Damage_Report_Level | level
| ) |  |

Create a damage object.

Parameters

  drawable | The drawable to monitor
  level | The level of the damage report

Returns
  The damage object

Creates a damage object to monitor changes to `drawable`, with the level `level`.

void ecore_x_damage_free | ( | Ecore_X_Damage | damage | ) |

Destroy a damage object.

Parameters

  damage | The damage object to destroy

Destroys the damage object `damage`

void ecore_x_damage_subtract | ( | Ecore_X_Damage | damage,
|  | Ecore_X_Region | repair,
|  | Ecore_X_Region | parts
| ) |  |

Synchronously modifies the region.

Parameters

  damage | The damage object to destroy
  repair | The repair region
  parts | The parts region

Synchronously modifies the regions in the following manner: If `repair` is `XCB_NONE:` 1) parts = damage 2) damage = <empty> Otherwise: 1) parts = damage INTERSECT repair 2) damage = damage - parts 3) Generate DamageNotify for remaining damage areas